- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
STOFFParagraph Class Reference

class to store the paragraph properties More...

`#include <STOFFParagraph.hxx>`

## Public Member Functions
| STOFFParagraph ()
| constructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | operator== (STOFFParagraph const &p) const
| operator== More...
bool | operator!= (STOFFParagraph const &p) const
| operator!= More...

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the properties More...
int | m_listLevelIndex
| the actual level index More...
int | m_listId
| the list id (if know ) More...
int | m_listStartValue
| the list start value (if set ) More...
STOFFListLevel | m_listLevel
| the actual level More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFParagraph const &para)
| operator<< More...

## Detailed Description

class to store the paragraph properties

## Constructor & Destructor Documentation

STOFFParagraph::STOFFParagraph | ( |  | ) |
| inline

constructor

## Member Function Documentation

void STOFFParagraph::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by STOFFParagraph().

bool STOFFParagraph::operator!= | ( | STOFFParagraph const & | p | ) | const
| inline

operator!=

bool STOFFParagraph::operator== | ( | STOFFParagraph const & | p | ) | const

operator==

Referenced by operator!=(), and STOFFParagraph().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFParagraph const & | para
| ) |  |
| friend

operator<<

Referenced by operator!=().

## Member Data Documentation

int STOFFParagraph::m_listId

the list id (if know )

Referenced by operator<<(), and operator==().

STOFFListLevel STOFFParagraph::m_listLevel

the actual level

Referenced by operator<<(), and operator==().

int STOFFParagraph::m_listLevelIndex

the actual level index

Referenced by operator<<(), and operator==().

int STOFFParagraph::m_listStartValue

the list start value (if set )

Referenced by operator==().

librevenge::RVNGPropertyList STOFFParagraph::m_propertyList

the properties

Referenced by addTo(), operator<<(), and operator==().

The documentation for this class was generated from the following files:

- STOFFParagraph.hxx
- STOFFParagraph.cxx